Bug 283441 - Review Request: sdljava - Java binding to the SDL API
Review Request: sdljava - Java binding to the SDL API
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-08 05:40 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 16:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-08 05:40:00 EDT
Spec URL: http://people.atrpms.net/~hdegoede/sdljava.spec
SRPM URL: http://people.atrpms.net/~hdegoede/sdljava-0.9.1-1.fc8.src.rpm
Description:
sdljava is a Java binding to the SDL API being developed by Ivan Ganza.

sdljava provides the ability to write games and other applications
from the java programming language. sdljava is designed to be fast,
efficient and easy to use. Finally we can start to write games in
java without needing to learn yet another slow complicated API.
Comment 1 Ville Skyttä 2007-09-08 06:00:34 EDT
I don't think the last sentence of %description ("Finally ...") adds any value
in the package.  On the contrary, actually.
Comment 2 Hans de Goede 2007-09-08 06:18:31 EDT
(In reply to comment #1)
> I don't think the last sentence of %description ("Finally ...") adds any value
> in the package.  On the contrary, actually.

That comes from the packman (suse addon repo) specfile I based my work on and I
guess they took it from an upstream description, I agree with you and I'll
remove it in the next iteration or before import.
Comment 3 Hans de Goede 2007-09-11 11:01:10 EDT
Here:
Spec URL: http://people.atrpms.net/~hdegoede/sdljava.spec
SRPM URL: http://people.atrpms.net/~hdegoede/sdljava-0.9.1-2.fc8.src.rpm

Is a new version fixing a rather major packaging bug:
* Tue Sep 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.1-2
- Dynamically determine gcc include path instead of hardcoding it, so that
  sdljava will build on other setups then devel-x86_64 too (oops).

And also cleaning up the description per comment #1
Comment 4 Hans de Goede 2007-09-17 11:08:57 EDT
New version fixing the dynamic determination of gcc include path, which was
broken somehow (I did test it) on the new version:

Spec URL: http://people.atrpms.net/~hdegoede/sdljava.spec
SRPM URL: http://people.atrpms.net/~hdegoede/sdljava-0.9.1-3.fc8.src.rpm
Comment 5 Jon Ciesla 2007-09-19 08:54:40 EDT
rpmlint on the RPMS. . .

sdljava.i386: W: file-not-utf8 /usr/share/doc/sdljava-0.9.1/CHANGES_0_9_1
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

sdljava-demo.i386: W: no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

sdljava-demo.i386: W: dangling-relative-symlink
/usr/share/sdljava/testdata/ariali.ttf ../../fonts/dejavu/DejaVuSans-Oblique.ttf
The relative symbolic link points nowhere.

sdljava-demo.i386: W: dangling-relative-symlink
/usr/share/sdljava/testdata/arialbd.ttf ../../fonts/dejavu/DejaVuSans-Bold.ttf
The relative symbolic link points nowhere.

sdljava-demo.i386: W: dangling-relative-symlink
/usr/share/sdljava/testdata/arialbi.ttf
../../fonts/dejavu/DejaVuSans-BoldOblique.ttf
The relative symbolic link points nowhere.

sdljava-javadoc.i386: W: dangerous-command-in-%post rm
Comment 6 Hans de Goede 2007-09-19 13:55:08 EDT
Here is a new version with the UTF-8 issue fixed:
Spec URL: http://people.atrpms.net/~hdegoede/sdljava.spec
SRPM URL: http://people.atrpms.net/~hdegoede/sdljava-0.9.1-4.fc8.src.rpm

The other rpmlint messages are non-issues (the font files the symlinks point to
are explicitly required).
Comment 7 Jon Ciesla 2007-09-19 20:12:49 EDT
Ok, looks otherwise great after a full review, until I did a mock build to test BRs.

<snip>
+ /usr/bin/aot-compile-rpm
/usr/bin/gcj -c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -fPIC -findirect-dispatch -fjni
sdljava-0.9.1.jar.1.jar -o sdljava-0.9.1.jar.1.o
{standard input}: Assembler messages:
{standard input}:156056: Error: junk at end of line, first unrecognized
character is `-'
{standard input}:156057: Error: bad or irreducible absolute expression
{standard input}:156057: Error: junk at end of line, first unrecognized
character is `,'
{standard input}:156060: Error: unrecognized symbol type ""
{standard input}:156060: Error: junk at end of line, first unrecognized
character is `-'
{standard input}:156061: Error: expected comma after name
`_CD_sdljava_audio_package' in .size directive
{standard input}:156062: Error: invalid character '_' in mnemonic
{standard input}:156066: Error: unrecognized symbol type ""
{standard input}:156066: Error: junk at end of line, first unrecognized
character is `-'
<snip>
{standard input}:422422: Error: expected comma after name
`_catch_classes_sdljavax.gfx.package' in .size directive
{standard input}:422423: Error: invalid character '_' in mnemonic
make: *** [sdljava-0.9.1.jar.1.o] Error 1
aot-compile-rpm: error: /usr/bin/make exited with code 2
error: Bad exit status from /var/tmp/rpm-tmp.57191 (%install)
Comment 8 Hans de Goede 2007-09-20 08:55:19 EDT
Nasty, not a BuildRequires problem, but it doesn't build when using gcj to build
the .class files, see: bug 297961.

I've added icedtea to the BuildRequires to fix this for building on devel,
trying a mockbuild on F-7 now, to see if it will build with the gcj in F-7.

Here is the new version for devel:
Spec URL: http://people.atrpms.net/~hdegoede/sdljava.spec
SRPM URL: http://people.atrpms.net/~hdegoede/sdljava-0.9.1-5.fc8.src.rpm
Comment 9 Hans de Goede 2007-09-20 10:55:09 EDT
Okay, I just tried an F-7 mock build and there everything works fine, so this
can still go to F-7 as well as devel, but on devel we need to use icedtea for
building for now.
Comment 10 Jon Ciesla 2007-09-20 14:52:03 EDT
diff of specs:

< Release:        5%{?dist}
---
> Release:        4%{?dist}

24,28d23
< # Build fails on fedora 8 test 2 when not using icedtea :( Note it runs fine
< # with gcj (bug 297961).
< BuildRequires:  java-1.7.0-icedtea-devel
< # icedtea is i386 and x86_64
< ExclusiveArch:  %{ix86} x86_64
95a91
>
199,201d194
< * Thu Sep 20 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.1-5
< - BuildRequire icedtea as building with gcj fails (bug 297961)
<

This also means I can't build on F-7.  How will you accommodate that? 
Conditional BRs, or divergent specs?

Comment 11 Hans de Goede 2007-09-20 15:37:03 EDT
Divergent specs, thats what we have branches for in CVS.
Comment 12 Jon Ciesla 2007-09-21 07:18:30 EDT
In that case,

APPROVED.
Comment 13 Hans de Goede 2007-09-21 07:24:45 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      sdljava
Short Description: Java binding to the SDL API
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2007-09-21 12:46:18 EDT
cvs done.
Comment 15 Hans de Goede 2007-09-21 16:42:23 EDT
Imported and build for both devel and F-7, building for ppc on F-7 was quite a
bit of pain, but I've managed to get it working eventually.

Note You need to log in before you can comment on or make changes to this bug.